package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability2770/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaRetailMarketingItemdiscountActivitySkuDeleteRequest struct {
	/*
	   添加活动商品参数     */
	Param *domain.AlibabaRetailMarketingItemdiscountActivitySkuDeleteItemDiscountActivityElementOperateRequest `json:"param" required:"true" `
}

func (s *AlibabaRetailMarketingItemdiscountActivitySkuDeleteRequest) SetParam(v domain.AlibabaRetailMarketingItemdiscountActivitySkuDeleteItemDiscountActivityElementOperateRequest) *AlibabaRetailMarketingItemdiscountActivitySkuDeleteRequest {
	s.Param = &v
	return s
}

func (req *AlibabaRetailMarketingItemdiscountActivitySkuDeleteRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaRetailMarketingItemdiscountActivitySkuDeleteRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
